API7 Docs
Reference

Cloud Admin API Changelog

Changes between consecutive released Cloud Admin API versions.

0.12.0 → 0.13.0

GET /environments/{env_id}/usage_events

  • added the new optional query request parameter operation
  • added the optional property data/items/operation to the response with the 200 status

GET /environments/{env_id}/usage_events/export

  • added the new optional query request parameter operation
  • added the optional property data/items/allOf[#/components/schemas/UsageEvent]/operation to the response with the 200 status

POST /provider_keys

  • added the new optional request property apis
  • added the optional property warnings to the response with the 201 status

GET /provider_keys/{provider_key_id}

  • added the optional property provider_key/apis to the response with the 200 status
  • added the optional property provider_key/apis_source to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

PATCH /provider_keys/{provider_key_id}

  • added the new optional request property apis
  • added the optional property provider_key/apis to the response with the 200 status
  • added the optional property provider_key/apis_source to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

0.11.0 → 0.12.0

DELETE /environments/{env_id}/api_keys/{api_key_id}

  • added the non-success response with the status 409

DELETE /environments/{env_id}/oidc_providers/{oidc_provider_id}

  • added the optional property warnings to the response with the 200 status

GET /environments/{env_id}/usage_events

  • endpoint added

GET /environments/{env_id}/usage_events/export

  • endpoint added

GET /environments/{env_id}/usage_metrics

  • endpoint added

GET /environments/{env_id}/usage_summary

  • endpoint added

GET /invitations

  • endpoint added

POST /invitations

  • endpoint added

DELETE /invitations/{invitation_id}

  • endpoint added

DELETE /members/{user_id}

  • endpoint added

GET /model_pricing

  • endpoint added

PUT /model_pricing

  • endpoint added

DELETE /model_pricing/{id}

  • endpoint added

GET /notification_deliveries

  • endpoint added

GET /teams

  • endpoint added

POST /teams

  • endpoint added

DELETE /teams/{team_id}

  • endpoint added

GET /teams/{team_id}

  • endpoint added

PATCH /teams/{team_id}

  • endpoint added

GET /teams/{team_id}/members

  • endpoint added

POST /teams/{team_id}/members

  • endpoint added

DELETE /teams/{team_id}/members/{user_id}

  • endpoint added

PATCH /teams/{team_id}/members/{user_id}

  • endpoint added

0.10.0 → 0.11.0

PATCH /environments/{env_id}

  • added the new optional request property display_name

GET /environments/{env_id}/dp_nodes

  • added the required property data/items/status to the response with the 200 status

GET /environments/{env_id}/guardrails

  • :warning: added the new custom enum value to the data/items/kind response property for the response status 200
  • :warning: added the new semantic enum value to the data/items/kind response property for the response status 200
  • removed the optional property data/items/mandatory from the response with the 200 status

POST /environments/{env_id}/guardrails

  • :warning: added the new custom enum value to the guardrail/kind response property for the response status 201
  • :warning: added the new semantic enum value to the guardrail/kind response property for the response status 201
  • :warning: removed the request property mandatory
  • added the new custom enum value to the request property kind
  • added the new semantic enum value to the request property kind
  • added the optional property warnings to the response with the 201 status
  • removed the optional property guardrail/mandatory from the response with the 201 status

POST /environments/{env_id}/guardrails/test-connection

  • added the new custom enum value to the request property kind
  • added the new semantic enum value to the request property kind

GET /environments/{env_id}/guardrails/{guardrail_id}

  • :warning: added the new custom enum value to the guardrail/kind response property for the response status 200
  • :warning: added the new semantic enum value to the guardrail/kind response property for the response status 200
  • added the optional property warnings to the response with the 200 status
  • removed the optional property guardrail/mandatory from the response with the 200 status

PATCH /environments/{env_id}/guardrails/{guardrail_id}

  • :warning: added the new custom enum value to the guardrail/kind response property for the response status 200
  • :warning: added the new semantic enum value to the guardrail/kind response property for the response status 200
  • added the optional property warnings to the response with the 200 status
  • removed the optional property guardrail/mandatory from the response with the 200 status

GET /environments/{env_id}/mcp_policy

  • :warning: removed the required property mcp_policy/allow from the response with the 200 status
  • :warning: removed the required property mcp_policy/created_at from the response with the 200 status
  • :warning: removed the required property mcp_policy/deny from the response with the 200 status
  • :warning: removed the required property mcp_policy/enabled from the response with the 200 status
  • :warning: removed the required property mcp_policy/id from the response with the 200 status
  • :warning: removed the required property mcp_policy/scope from the response with the 200 status
  • :warning: removed the required property mcp_policy/updated_at from the response with the 200 status
  • :warning: the response property mcp_policy became nullable for the status 200
  • :warning: the mcp_policy response's property type changed from object to any for status 200
  • removed the optional property mcp_policy/env_id from the response with the 200 status
  • removed the optional property mcp_policy/team_id from the response with the 200 status
  • added #/components/schemas/McpAccessPolicy to the mcp_policy response property allOf list for the response status 200

0.9.0 → 0.10.0

GET /environments

  • added the optional property data/items/mcp_anonymous to the response with the 200 status
  • added the optional property data/items/mcp_resource_url to the response with the 200 status

POST /environments

  • added the optional property environment/mcp_anonymous to the response with the 201 status
  • added the optional property environment/mcp_resource_url to the response with the 201 status

GET /environments/{env_id}

  • added the optional property environment/mcp_anonymous to the response with the 200 status
  • added the optional property environment/mcp_resource_url to the response with the 200 status

PATCH /environments/{env_id}

  • endpoint added

GET /environments/{env_id}/api_keys

  • :warning: removed the required property data/items/mcp_access/allOf[#/components/schemas/McpAccess]/mode from the response with the 200 status
  • added the optional property data/items/allowed_routes to the response with the 200 status
  • removed the optional property data/items/allowed_tools from the response with the 200 status
  • the response property data/items/mcp_access/allOf[#/components/schemas/McpAccess]/allow became required for the status 200

POST /environments/{env_id}/api_keys

  • :warning: the request property mcp_access/allOf[#/components/schemas/McpAccess]/allow became required
  • :warning: removed the required property api_key/mcp_access/allOf[#/components/schemas/McpAccess]/mode from the response with the 201 status
  • :warning: removed the request property allowed_tools
  • :warning: removed the request property mcp_access/allOf[#/components/schemas/McpAccess]/mode
  • added the new optional request property allowed_routes
  • added the optional property api_key/allowed_routes to the response with the 201 status
  • added the optional property warnings to the response with the 201 status
  • removed the optional property api_key/allowed_tools from the response with the 201 status
  • the response property api_key/mcp_access/allOf[#/components/schemas/McpAccess]/allow became required for the status 201

PATCH /environments/{env_id}/api_keys/{api_key_id}

  • :warning: the request property mcp_access/allOf[#/components/schemas/McpAccess]/allow became required
  • :warning: removed the required property api_key/mcp_access/allOf[#/components/schemas/McpAccess]/mode from the response with the 200 status
  • :warning: removed the request property allowed_tools
  • :warning: removed the request property mcp_access/allOf[#/components/schemas/McpAccess]/mode
  • added the new optional request property allowed_routes
  • added the optional property api_key/allowed_routes to the response with the 200 status
  • added the optional property warnings to the response with the 200 status
  • removed the optional property api_key/allowed_tools from the response with the 200 status
  • the response property api_key/mcp_access/allOf[#/components/schemas/McpAccess]/allow became required for the status 200

GET /environments/{env_id}/api_keys/{api_key_id}/effective_permissions

  • :warning: removed the required property effective_permissions/mcp/base_source from the response with the 200 status
  • :warning: removed the required property effective_permissions/mcp/key_mode from the response with the 200 status
  • removed the optional property effective_permissions/mcp/base_policy_id from the response with the 200 status
  • added the required property effective_permissions/mcp/layers to the response with the 200 status

POST /environments/{env_id}/api_keys/{api_key_id}/rotate

  • :warning: removed the required property api_key/mcp_access/allOf[#/components/schemas/McpAccess]/mode from the response with the 200 status
  • added the optional property api_key/allowed_routes to the response with the 200 status
  • added the optional property warnings to the response with the 200 status
  • removed the optional property api_key/allowed_tools from the response with the 200 status
  • the response property api_key/mcp_access/allOf[#/components/schemas/McpAccess]/allow became required for the status 200

GET /environments/{env_id}/guardrails/{guardrail_id}/attachments

  • :warning: added the new mcp_server enum value to the data/items/scope_type response property for the response status 200
  • :warning: added the new passthrough_route enum value to the data/items/scope_type response property for the response status 200

POST /environments/{env_id}/guardrails/{guardrail_id}/attachments

  • :warning: added the new mcp_server enum value to the data/scope_type response property for the response status 201
  • :warning: added the new passthrough_route enum value to the data/scope_type response property for the response status 201
  • added the new mcp_server enum value to the request property scope_type
  • added the new passthrough_route enum value to the request property scope_type
  • added the optional property warnings to the response with the 201 status

GET /environments/{env_id}/mcp_policy

  • :warning: removed the required property mcp_policy/mode from the response with the 200 status

PUT /environments/{env_id}/mcp_policy

  • :warning: the request property allow became required
  • :warning: removed the required property mcp_policy/mode from the response with the 200 status
  • :warning: removed the request property mode

POST /environments/{env_id}/mcp_policy/apply

  • :warning: api path removed without deprecation

POST /environments/{env_id}/mcp_policy/preview

  • :warning: api path removed without deprecation

GET /environments/{env_id}/models

  • :warning: added the new consistent_hash enum value to the data/items/routing/strategy response property for the response status 200
  • added the optional property data/items/routing/hash_on to the response with the 200 status
  • added the optional property data/items/routing/targets/items/priority to the response with the 200 status
  • removed the optional property data/items/routing/sticky from the response with the 200 status
  • removed the weighted enum value from the data/items/routing/strategy response property for the response status 200

POST /environments/{env_id}/models

  • :warning: removed the enum value weighted of the request property routing/strategy
  • :warning: added the new consistent_hash enum value to the model/routing/strategy response property for the response status 201
  • :warning: removed the request property routing/sticky
  • added the new optional request property routing/hash_on
  • added the new optional request property routing/targets/items/priority
  • added the new consistent_hash enum value to the request property routing/strategy
  • added the optional property model/routing/hash_on to the response with the 201 status
  • added the optional property model/routing/targets/items/priority to the response with the 201 status
  • removed the optional property model/routing/sticky from the response with the 201 status
  • removed the weighted enum value from the model/routing/strategy response property for the response status 201

GET /environments/{env_id}/models/{model_id}

  • :warning: added the new consistent_hash enum value to the model/routing/strategy response property for the response status 200
  • added the optional property model/routing/hash_on to the response with the 200 status
  • added the optional property model/routing/targets/items/priority to the response with the 200 status
  • removed the optional property model/routing/sticky from the response with the 200 status
  • removed the weighted enum value from the model/routing/strategy response property for the response status 200

PATCH /environments/{env_id}/models/{model_id}

  • :warning: removed the enum value weighted of the request property routing/strategy
  • :warning: added the new consistent_hash enum value to the model/routing/strategy response property for the response status 200
  • :warning: removed the request property routing/sticky
  • added the new optional request property routing/hash_on
  • added the new optional request property routing/targets/items/priority
  • added the new consistent_hash enum value to the request property routing/strategy
  • added the optional property model/routing/hash_on to the response with the 200 status
  • added the optional property model/routing/targets/items/priority to the response with the 200 status
  • removed the optional property model/routing/sticky from the response with the 200 status
  • removed the weighted enum value from the model/routing/strategy response property for the response status 200

GET /environments/{env_id}/passthrough_routes

  • endpoint added

POST /environments/{env_id}/passthrough_routes

  • endpoint added

DELETE /environments/{env_id}/passthrough_routes/{passthrough_route_id}

  • endpoint added

GET /environments/{env_id}/passthrough_routes/{passthrough_route_id}

  • endpoint added

PATCH /environments/{env_id}/passthrough_routes/{passthrough_route_id}

  • endpoint added

POST /mcp_server_submissions

  • added the new optional request property protocol_version
  • added the optional property mcp_server/protocol_version to the response with the 201 status
  • added the optional property warnings to the response with the 201 status

PATCH /mcp_server_submissions/{mcp_server_id}

  • added the new optional request property protocol_version
  • added the optional property mcp_server/protocol_version to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

GET /mcp_servers

  • added the optional property data/items/protocol_version to the response with the 200 status

POST /mcp_servers

  • added the new optional request property protocol_version
  • added the optional property mcp_server/protocol_version to the response with the 201 status
  • added the optional property warnings to the response with the 201 status

GET /mcp_servers/{mcp_server_id}

  • added the optional property mcp_server/protocol_version to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

PATCH /mcp_servers/{mcp_server_id}

  • added the new optional request property protocol_version
  • added the optional property mcp_server/protocol_version to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

POST /mcp_servers/{mcp_server_id}/approve

  • added the optional property mcp_server/protocol_version to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

POST /mcp_servers/{mcp_server_id}/reject

  • added the optional property mcp_server/protocol_version to the response with the 200 status
  • added the optional property warnings to the response with the 200 status

GET /members

  • removed the admin enum value from the data/items/role response property for the response status 200
  • removed the member enum value from the data/items/role response property for the response status 200
  • removed the owner enum value from the data/items/role response property for the response status 200
  • the data/items/role response property's minLength was set to 1 for the response status 200

POST /members

  • removed the admin enum value from the member/role response property for the response status 201
  • removed the member enum value from the member/role response property for the response status 201
  • removed the owner enum value from the member/role response property for the response status 201
  • the member/role response property's minLength was set to 1 for the response status 201

GET /members/{member_id}/role_bindings

  • endpoint added

PUT /members/{member_id}/role_bindings

  • endpoint added

PATCH /members/{user_id}

  • endpoint added

GET /roles

  • endpoint added

POST /roles

  • endpoint added

DELETE /roles/{role_name}

  • endpoint added

PATCH /roles/{role_name}

  • endpoint added

GET /teams/{team_id}/entitlements

  • :warning: removed the required property entitlements/mcp/allOf[#/components/schemas/McpAccessPolicy]/mode from the response with the 200 status

PUT /teams/{team_id}/entitlements

  • :warning: the request property mcp/allOf[#/components/schemas/PutMcpPolicyRequest]/allow became required
  • :warning: removed the required property entitlements/mcp/allOf[#/components/schemas/McpAccessPolicy]/mode from the response with the 200 status
  • :warning: removed the request property mcp/allOf[#/components/schemas/PutMcpPolicyRequest]/mode

Components

  • removed the schema McpPolicyApplyRequest
  • removed the schema McpPolicyApplyResponse
  • removed the schema McpPolicyMode
  • removed the schema McpPolicyPreviewKey
  • removed the schema McpPolicyPreviewRequest
  • removed the schema McpPolicyPreviewResponse